{ config, lib, modulesPath, ... }:

{
  imports = [ 
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot.initrd.availableKernelModules = [ "xhci_pci" "ehci_pci" "ahci" "ums_realtek" "usbhid" "usb_storage" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ ];
  boot.extraModulePackages = [ ];

  boot.initrd.postDeviceCommands = lib.mkAfter ''
    zfs rollback -r local/root@blank
  '';

  fileSystems."/" = { 
      device = "local/root";
      fsType = "zfs";
  };

  fileSystems."/boot" = {
      device = "/dev/disk/by-uuid/5C0E-1600";
      fsType = "vfat";
  };

  fileSystems."/nix" = {
      device = "local/nix";
      fsType = "zfs";
  };

  fileSystems."/mnt/mass" = {
      device = "/dev/disk/by-uuid/f04baac4-40a9-4115-b09d-83b252ee69ad";
      fsType = "xfs";
  };

  swapDevices = [ ];

  # Enables DHCP on each ethernet and wireless interface. In case of scripted networking
  # (the default) this is the recommended approach. When using systemd-networkd it's
  # still possible to use this option, but it's recommended to use it in conjunction
  # with explicit per-interface declarations with `networking.interfaces.<interface>.useDHCP`.
  networking.useDHCP = lib.mkDefault true;
  # networking.interfaces.eno1.useDHCP = lib.mkDefault true;
  # networking.interfaces.wlp3s0.useDHCP = lib.mkDefault true;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
